Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Advanced Firmware version - Pilot App bug?

Discussion in 'Phantom 3 Help' started by gkol, Aug 2, 2015.

  1. gkol

    Joined:
    Aug 2, 2015
    Messages:
    38
    Likes Received:
    16
    Hello

    I have just bought P3A. Pilot App 1.2 for android says that I have firmware 1.1.5. So I have downloaded 1.1.9 for Advanced, extracted .bin file into the root of SD card, put it into the Phantom and turned it on with transmitter off. After few beeps update process does not start. Log file from SD card says:

    ========== 2014.01.01 00:00:13 unsynchronized ======
    Packet: P3S_FW_V01.01.0009.bin
    Result: Abort.
    The firmware on the SD card is identical to or older than the current firmware on the aircraft.

    It seems that Pilot App is wrong and I have at least 1.1.9 firmware. Is that common problem? Or maybe I am doing something wrong?

    Regards
     
  2. msinger

    Approved Vendor

    Joined:
    Oct 30, 2014
    Messages:
    19,096
    Likes Received:
    5,623
    Location:
    US
  3. gkol

    Joined:
    Aug 2, 2015
    Messages:
    38
    Likes Received:
    16
    I have followed these instructions but upgrade process failed like before. It still says "The firmware on the SD card is identical to or older than the current firmware on the aircraft." Pilot app shows firmware version 1.1.5. Any ideas? I have tried to reinstall pilot app but no difference.
     
  4. bbfpv

    Joined:
    Feb 3, 2015
    Messages:
    3,751
    Likes Received:
    1,093
    Location:
    Long Island, NY
    Have you updated your tx? Perhaps the app is reporting on the fw version of the tx. Regardless, you're running 1.9 if that's what the bird is telling you.
     
  5. gkol

    Joined:
    Aug 2, 2015
    Messages:
    38
    Likes Received:
    16
    Is that possible that right out of the box Phantom and TX have different firmwares? Is that even possible to have different firmwares and have it working?